summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorDavid Kalnischkies <kalnischkies@gmail.com>2011-11-30 16:37:09 +0100
committerDavid Kalnischkies <kalnischkies@gmail.com>2011-11-30 16:37:09 +0100
commita7e052eae64486a31595bc9b3f4a1c02c13256e3 (patch)
tree82222fd4bd606f69f5e62467182e849e50491212 /test
parent257e8d668c044fb0e9ad8e4b53afd32e07404831 (diff)
ensure that we exit instead of proceed in execution after the trap
(the execution leads to hard failures anyway)
Diffstat (limited to 'test')
-rw-r--r--test/integration/framework2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/integration/framework b/test/integration/framework
index b55f793a4..2ea1844f0 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -102,7 +102,7 @@ aptitude() {
addtrap() {
CURRENTTRAP="$CURRENTTRAP $1"
- trap "$CURRENTTRAP" 0 HUP INT QUIT ILL ABRT FPE SEGV PIPE TERM
+ trap "$CURRENTTRAP exit;" 0 HUP INT QUIT ILL ABRT FPE SEGV PIPE TERM
}
setupenvironment() {